commit 6931bf1d81de597b3abc2a36adf081a24c114567
Author: jbergstroem <bugs@bergstroem.nu>
Date:   Tue Oct 23 12:26:04 2012 +1100

    Build against shared jemalloc

diff --git a/src/Makefile b/src/Makefile
index 358b4cb..41390f4 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -22,12 +22,7 @@ STD= -std=c99 -pedantic
 WARN= -Wall
 OPT= $(OPTIMIZATION)

-# Default allocator
-ifeq ($(uname_S),Linux)
-  MALLOC=jemalloc
-else
-  MALLOC=libc
-endif
+MALLOC?=jemalloc

 # Backwards compatibility for selecting an allocator
 ifeq ($(USE_TCMALLOC),yes)
@@ -71,9 +66,8 @@ ifeq ($(MALLOC),tcmalloc_minimal)
 endif

 ifeq ($(MALLOC),jemalloc)
-  DEPENDENCY_TARGETS+= jemalloc
-  FINAL_CFLAGS+= -DUSE_JEMALLOC -I../deps/jemalloc/include
-  FINAL_LIBS+= ../deps/jemalloc/lib/libjemalloc.a -ldl
+  FINAL_CFLAGS+= -DUSE_JEMALLOC -DJEMALLOC_NO_DEMANGLE
+  FINAL_LIBS+= -ljemalloc -ldl
 endif

 REDIS_CC=$(QUIET_CC)$(CC) $(FINAL_CFLAGS)